AbcdVol Class Reference

Abcd-interpolated volatility structure More...

`#include <ql/models/marketmodels/models/abcdvol.hpp>`

Inheritance diagram for AbcdVol:
[legend]

## Public Member Functions

| AbcdVol (Real a, Real b, Real c, Real d, const std::vector< Real > &ks, const boost::shared_ptr< PiecewiseConstantCorrelation > &corr, const EvolutionDescription &evolution, const Size numberOfFactors, const std::vector< Rate > &initialRates, const std::vector< Spread > &displacements)
MarketModel interface
const std::vector< Rate > & | initialRates () const
const std::vector< Spread > & | displacements () const
const EvolutionDescription & | evolution () const
Size | numberOfRates () const
Size | numberOfFactors () const
Size | numberOfSteps () const
const Matrix & | pseudoRoot (Size i) const
Public Member Functions inherited from MarketModel
virtual const Matrix & | covariance (Size i) const
virtual const Matrix & | totalCovariance (Size endIndex) const
std::vector< Volatility > | timeDependentVolatility (Size i) const

## Detailed Description

Abcd-interpolated volatility structure